.filter-table .mud-table-container{
    overflow: auto !important;
    width: 100% !important;
}

.filter-table .mud-toolbar {
    padding: unset;
    display: flex;
    align-items: center;
}


.filter-table-header .mud-table-cell {
font-weight: bold !important;
border-right: 1px solid var(--mud-palette-table-lines) !important;
}

.filter-table .actions-column-header {
    /* Disable right sticky */
    right: auto !important;
}

.mud-table.filter-table .actions-column-cell {
    overflow: visible;
    display: inline-block !important; 
    border-width: 0; 
    z-index: 1;
    padding-top: 12px;
}

.table-status-buttons {
    width: max-content;
    overflow: visible;
    background-color: inherit;
    left: 100%;
    transform: translateX(-100%)
}

@media (hover: hover) and (pointer: fine) {
    .mud-table-hover .mud-table-container .mud-table-root .mud-table-body .mud-table-row:hover,
    .mud-table-hover .mud-table-container .mud-table-root .mud-table-body .mud-table-row:hover td {
        background-color: var(--mud-palette-white) !important;
    }
}

/* Back to top button */
.table-fab-button {
    position: absolute; 
    bottom: 24px; 
    left: 24px;
    
    height: 40px;
    width: 40px;
}
.table-fab-button-icon {
    fill: currentColor;
}

.table-fab-button .mud-button-label {
display: flex; 
flex-direction: column;
}


.filter-table table.mud-table-root {
    min-width: max-content !important;
}

/* Candidate suggestions */
.candidate-suggestions-stack {
    width: 100%;
    max-height: 70vh; 
    align-items: center; 
    overflow-y: scroll;
    padding: 4px;
}

/* Quota Progress Bars */
.quota-progressbar .mud-progress-linear-bar:first-child
{
    animation: none!important;
    background-image: none!important;
}
.quota-progressbar::before {
    background-color: var(--mud-palette-info-lighten);
    background-image: none;
}

.quota-progressbar .mud-progress-linear-bar:last-child::before{
    background-image: linear-gradient(45deg, #ffffff3d 25%, #3333333d 25%, #3333333d 50%, #ffffff3d 50%, #ffffff3d 75%, #3333333d 75%, #3333333d 100%);
    background-size: 20px 20px;
}
.quota-progressbar .mud-progress-linear-content {
    z-index: 2;
}

.flashing-border {
    /* Fade glowing shadow */
    animation: flashing-border-animation 2.0s linear infinite;
}

@keyframes flashing-border-animation {
    0% { box-shadow: none; }
    50% { box-shadow: 0 0 5px 3px var(--mud-palette-success); }
}

/* Dense Candidate Table */
.candidates-toolbar .search-layout-select{
    margin-top:4px!important;
}

.candidates-toolbar .search-layout-select .mud-input-root{
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

.candidates-tabs .mud-tabs-tabbar .mud-tabs-tabbar-inner,
.candidates-tabs .mud-tab{
    min-height: 32px !important;
}

/* Dense Headers */
.candidates-table .mud-table-head th.mud-table-cell {
    padding: 0 4px!important;
}
.candidates-table .mud-toolbar {
    height: 45px;
}

.candidates-table .mud-toolbar .mud-button {
    max-height: 32px !important;
}

/* Dense Rows */
.candidates-table .mud-table-body .mud-table-cell {
    padding-top: 1px !important;
    padding-bottom: 1px !important;
    font-size: 0.75rem !important;
}
.candidates-table .mud-table-body .mud-button-root {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}
.candidates-table .mud-table-body .mud-icon-size-small {
    font-size: 18px !important;
}

.candidates-table .mud-table-body .mud-chip {
    margin: 1px 0 !important;
}

.candidates-table .mud-table-body .mud-badge {
    height: 18px !important;
    min-width: 18px !important;
    font-size: 10px !important;
}
.candidates-table .mud-table-body button {
    height: 20px !important;
}

/* Context Menu */
.candidate-context-menu{
    padding: 0!important;
}

.candidate-context-menu .mud-list-item-dense-extended{
    padding: 2px 8px;
}

.candidate-context-menu .mud-list-item-text-extended{
    margin: 1px 0!important;
    padding: 0!important;
}
.candidate-context-menu .mud-list-item-text-extended p {
    font-size: 0.8rem !important;
}
